Skip to main content
`Ctrl`+`K`

# PetscViewerDrawBaseSet

sets the base integer that is added to the `windownumber` passed to `PetscViewerDrawGetDraw()`

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscViewerDrawBaseSet(PetscViewer viewer, PetscInt windownumber)

Logically Collective

## Input Parameters

- viewer - the `PetscViewer` (created with `PetscViewerDrawOpen()`)

- windownumber - value to set the base

## Note

A `PETSCVIEWERDRAW` may have multiple `PetscDraw` subwindows, this increases the number of the subwindow that is returned with `PetscViewerDrawGetDraw()`

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerDrawGetLG()`, `PetscViewerDrawGetAxis()`, `PetscViewerDrawOpen()`, `PetscViewerDrawGetDraw()`, `PetscViewerDrawBaseAdd()`

## Level

developer

## Location

src/sys/classes/viewer/impls/draw/drawv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages